org.eclipse.viatra.cep.vepl.vepl.util

## Class VeplSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.cep.vepl.vepl.util.VeplSwitch<T>

-     public class VeplSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `VeplPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static VeplPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VeplSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseAbstractAtomicEventPattern(AbstractAtomicEventPattern object)` Returns the result of interpreting the object as an instance of 'Abstract Atomic Event Pattern'.
    `T` | `caseAbstractMultiplicity(AbstractMultiplicity object)` Returns the result of interpreting the object as an instance of 'Abstract Multiplicity'.
    `T` | `caseAndOperator(AndOperator object)` Returns the result of interpreting the object as an instance of 'And Operator'.
    `T` | `caseAtLeastOne(AtLeastOne object)` Returns the result of interpreting the object as an instance of 'At Least One'.
    `T` | `caseAtom(Atom object)` Returns the result of interpreting the object as an instance of 'Atom'.
    `T` | `caseAtomicEventPattern(AtomicEventPattern object)` Returns the result of interpreting the object as an instance of 'Atomic Event Pattern'.
    `T` | `caseBinaryOperator(BinaryOperator object)` Returns the result of interpreting the object as an instance of 'Binary Operator'.
    `T` | `caseChainedExpression(ChainedExpression object)` Returns the result of interpreting the object as an instance of 'Chained Expression'.
    `T` | `caseComplexEventExpression(ComplexEventExpression object)` Returns the result of interpreting the object as an instance of 'Complex Event Expression'.
    `T` | `caseComplexEventOperator(ComplexEventOperator object)` Returns the result of interpreting the object as an instance of 'Complex Event Operator'.
    `T` | `caseComplexEventPattern(ComplexEventPattern object)` Returns the result of interpreting the object as an instance of 'Complex Event Pattern'.
    `T` | `caseEventModel(EventModel object)` Returns the result of interpreting the object as an instance of 'Event Model'.
    `T` | `caseEventPattern(EventPattern object)` Returns the result of interpreting the object as an instance of 'Event Pattern'.
    `T` | `caseFollowsOperator(FollowsOperator object)` Returns the result of interpreting the object as an instance of 'Follows Operator'.
    `T` | `caseGenericImport(GenericImport object)` Returns the result of interpreting the object as an instance of 'Generic Import'.
    `T` | `caseImport(Import object)` Returns the result of interpreting the object as an instance of 'Import'.
    `T` | `caseInfinite(Infinite object)` Returns the result of interpreting the object as an instance of 'Infinite'.
    `T` | `caseModelElement(ModelElement object)` Returns the result of interpreting the object as an instance of 'Model Element'.
    `T` | `caseMultiplicity(Multiplicity object)` Returns the result of interpreting the object as an instance of 'Multiplicity'.
    `T` | `caseNegOperator(NegOperator object)` Returns the result of interpreting the object as an instance of 'Neg Operator'.
    `T` | `caseOrOperator(OrOperator object)` Returns the result of interpreting the object as an instance of 'Or Operator'.
    `T` | `caseParameterizedPatternCall(ParameterizedPatternCall object)` Returns the result of interpreting the object as an instance of 'Parameterized Pattern Call'.
    `T` | `caseParametrizedQueryReference(ParametrizedQueryReference object)` Returns the result of interpreting the object as an instance of 'Parametrized Query Reference'.
    `T` | `casePatternCallParameter(PatternCallParameter object)` Returns the result of interpreting the object as an instance of 'Pattern Call Parameter'.
    `T` | `casePatternCallParameterList(PatternCallParameterList object)` Returns the result of interpreting the object as an instance of 'Pattern Call Parameter List'.
    `T` | `caseQueryImport(QueryImport object)` Returns the result of interpreting the object as an instance of 'Query Import'.
    `T` | `caseQueryResultChangeEventPattern(QueryResultChangeEventPattern object)` Returns the result of interpreting the object as an instance of 'Query Result Change Event Pattern'.
    `T` | `caseRule(Rule object)` Returns the result of interpreting the object as an instance of 'Rule'.
    `T` | `caseTimewindow(Timewindow object)` Returns the result of interpreting the object as an instance of 'Timewindow'.
    `T` | `caseTrait(Trait object)` Returns the result of interpreting the object as an instance of 'Trait'.
    `T` | `caseTraitList(TraitList object)` Returns the result of interpreting the object as an instance of 'Trait List'.
    `T` | `caseTraitTypedParameterList(TraitTypedParameterList object)` Returns the result of interpreting the object as an instance of 'Trait Typed Parameter List'.
    `T` | `caseTypedParameter(TypedParameter object)` Returns the result of interpreting the object as an instance of 'Typed Parameter'.
    `T` | `caseTypedParameterList(TypedParameterList object)` Returns the result of interpreting the object as an instance of 'Typed Parameter List'.
    `T` | `caseTypedParameterWithDefaultValue(TypedParameterWithDefaultValue object)` Returns the result of interpreting the object as an instance of 'Typed Parameter With Default Value'.
    `T` | `caseUnaryOperator(UnaryOperator object)` Returns the result of interpreting the object as an instance of 'Unary Operator'.
    `T` | `caseUntilOperator(UntilOperator object)` Returns the result of interpreting the object as an instance of 'Until Operator'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static VeplPackage modelPackage

      The cached model package
      Generated:

  - ### Constructor Detail

    - #### VeplSwitch

          public VeplSwitch()

      Creates an instance of the switch.
      Generated:

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated:

    - #### doSwitch

          protected T doSwitch(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated:

    - #### caseEventModel

          public T caseEventModel(EventModel object)

      Returns the result of interpreting the object as an instance of 'Event Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Model'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseImport

          public T caseImport(Import object)

      Returns the result of interpreting the object as an instance of 'Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Import'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseGenericImport

          public T caseGenericImport(GenericImport object)

      Returns the result of interpreting the object as an instance of 'Generic Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Generic Import'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseQueryImport

          public T caseQueryImport(QueryImport object)

      Returns the result of interpreting the object as an instance of 'Query Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Query Import'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseModelElement

          public T caseModelElement(ModelElement object)

      Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Model Element'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTrait

          public T caseTrait(Trait object)

      Returns the result of interpreting the object as an instance of 'Trait'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Trait'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEventPattern

          public T caseEventPattern(EventPattern object)

      Returns the result of interpreting the object as an instance of 'Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAbstractAtomicEventPattern

          public T caseAbstractAtomicEventPattern(AbstractAtomicEventPattern object)

      Returns the result of interpreting the object as an instance of 'Abstract Atomic Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Abstract Atomic Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAtomicEventPattern

          public T caseAtomicEventPattern(AtomicEventPattern object)

      Returns the result of interpreting the object as an instance of 'Atomic Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Atomic Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseQueryResultChangeEventPattern

          public T caseQueryResultChangeEventPattern(QueryResultChangeEventPattern object)

      Returns the result of interpreting the object as an instance of 'Query Result Change Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Query Result Change Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseComplexEventPattern

          public T caseComplexEventPattern(ComplexEventPattern object)

      Returns the result of interpreting the object as an instance of 'Complex Event Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Event Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseRule

          public T caseRule(Rule object)

      Returns the result of interpreting the object as an instance of 'Rule'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTraitList

          public T caseTraitList(TraitList object)

      Returns the result of interpreting the object as an instance of 'Trait List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Trait List'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTypedParameterList

          public T caseTypedParameterList(TypedParameterList object)

      Returns the result of interpreting the object as an instance of 'Typed Parameter List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Typed Parameter List'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTypedParameter

          public T caseTypedParameter(TypedParameter object)

      Returns the result of interpreting the object as an instance of 'Typed Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Typed Parameter'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTypedParameterWithDefaultValue

          public T caseTypedParameterWithDefaultValue(TypedParameterWithDefaultValue object)

      Returns the result of interpreting the object as an instance of 'Typed Parameter With Default Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Typed Parameter With Default Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTraitTypedParameterList

          public T caseTraitTypedParameterList(TraitTypedParameterList object)

      Returns the result of interpreting the object as an instance of 'Trait Typed Parameter List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Trait Typed Parameter List'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParametrizedQueryReference

          public T caseParametrizedQueryReference(ParametrizedQueryReference object)

      Returns the result of interpreting the object as an instance of 'Parametrized Query Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parametrized Query Reference'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseComplexEventExpression

          public T caseComplexEventExpression(ComplexEventExpression object)

      Returns the result of interpreting the object as an instance of 'Complex Event Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Event Expression'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseChainedExpression

          public T caseChainedExpression(ChainedExpression object)

      Returns the result of interpreting the object as an instance of 'Chained Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Chained Expression'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAtom

          public T caseAtom(Atom object)

      Returns the result of interpreting the object as an instance of 'Atom'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Atom'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAbstractMultiplicity

          public T caseAbstractMultiplicity(AbstractMultiplicity object)

      Returns the result of interpreting the object as an instance of 'Abstract Multiplicity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Abstract Multiplicity'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTimewindow

          public T caseTimewindow(Timewindow object)

      Returns the result of interpreting the object as an instance of 'Timewindow'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Timewindow'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParameterizedPatternCall

          public T caseParameterizedPatternCall(ParameterizedPatternCall object)

      Returns the result of interpreting the object as an instance of 'Parameterized Pattern Call'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameterized Pattern Call'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternCallParameterList

          public T casePatternCallParameterList(PatternCallParameterList object)

      Returns the result of interpreting the object as an instance of 'Pattern Call Parameter List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Call Parameter List'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternCallParameter

          public T casePatternCallParameter(PatternCallParameter object)

      Returns the result of interpreting the object as an instance of 'Pattern Call Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Call Parameter'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseComplexEventOperator

          public T caseComplexEventOperator(ComplexEventOperator object)

      Returns the result of interpreting the object as an instance of 'Complex Event Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Event Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseBinaryOperator

          public T caseBinaryOperator(BinaryOperator object)

      Returns the result of interpreting the object as an instance of 'Binary Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Binary Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseUnaryOperator

          public T caseUnaryOperator(UnaryOperator object)

      Returns the result of interpreting the object as an instance of 'Unary Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Unary Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseFollowsOperator

          public T caseFollowsOperator(FollowsOperator object)

      Returns the result of interpreting the object as an instance of 'Follows Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Follows Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseOrOperator

          public T caseOrOperator(OrOperator object)

      Returns the result of interpreting the object as an instance of 'Or Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Or Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAndOperator

          public T caseAndOperator(AndOperator object)

      Returns the result of interpreting the object as an instance of 'And Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'And Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseUntilOperator

          public T caseUntilOperator(UntilOperator object)

      Returns the result of interpreting the object as an instance of 'Until Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Until Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseNegOperator

          public T caseNegOperator(NegOperator object)

      Returns the result of interpreting the object as an instance of 'Neg Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Neg Operator'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseMultiplicity

          public T caseMultiplicity(Multiplicity object)

      Returns the result of interpreting the object as an instance of 'Multiplicity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Multiplicity'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseInfinite

          public T caseInfinite(Infinite object)

      Returns the result of interpreting the object as an instance of 'Infinite'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Infinite'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAtLeastOne

          public T caseAtLeastOne(AtLeastOne object)

      Returns the result of interpreting the object as an instance of 'At Least One'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'At Least One'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated: